<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="http://www.w3.org/1999/xhtml">

 <!--


 HTTP EXPLORER
 Copyright (C) 2006 Eddy Ripert

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


 Name.......... Classic interface
 Version....... 1.02
 Description... This file transform XML folder generated by the server to a valid xhtml document
 Author........ Eddy Ripert
 Date.......... March, 4th 2006


 -->


 <!--Output type-->

 <xsl:output
	method="xml"
	version="1.0"
	encoding="UTF-8"
	doctype-public= "-//W3C//DTD XHTML 1.0 Strict//EN" 
	doctype-system="http://www.w3.org/TR/xhtml1/dtD/xhtml1-strict.dtd"
	omit-xml-declaration="yes"
	indent="yes" />


 <!--Global variables : configuration-->

 <xsl:variable name="DisablePlayers">true</xsl:variable>
 <xsl:variable name="DisableToolTips">true</xsl:variable>
 <xsl:variable name="DisableEffects">true</xsl:variable>


 <!--Global variables : shortcuts-->

 <xsl:variable name="byte" select="page/server/language/units/byte" />
 <xsl:variable name="bytes" select="page/server/language/units/bytes" />
 <xsl:variable name="kilobyte" select="page/server/language/units/kilobyte" />
 <xsl:variable name="megabyte" select="page/server/language/units/megabyte" />
 <xsl:variable name="gigabyte" select="page/server/language/units/gigabyte" />
 <xsl:variable name="terabyte" select="page/server/language/units/terabyte" />
 <xsl:variable name="CurrentUrlTag" select="page/document/url/@tag" />
 <xsl:variable name="MouseOverColorFolder">#F8F8F8</xsl:variable>
 <xsl:variable name="MouseOverColorOther">#FFFCED</xsl:variable>
 <xsl:variable name="MouseOverColorSound">#FFF8F4</xsl:variable>
 <xsl:variable name="MouseOverColorImage">#F3FDF3</xsl:variable>
 <xsl:variable name="MouseOverColorVideo">#F4F8FF</xsl:variable>
 <xsl:variable name="MiniMainContainerWidth"><xsl:value-of select="page/server/config/minidimention + 41" /></xsl:variable>
 <xsl:variable name="MiniMainContainerHeight"><xsl:value-of select="page/server/config/minidimention + 48" /></xsl:variable>
 <xsl:variable name="MiniImgContainerWidth"><xsl:value-of select="page/server/config/minidimention + 8" /></xsl:variable>
 <xsl:variable name="MiniImgContainerHeight"><xsl:value-of select="page/server/config/minidimention + 8" /></xsl:variable>
 <xsl:variable name="MiniAContainerWidth"><xsl:value-of select="page/server/config/minidimention + 4" /></xsl:variable>
 <xsl:variable name="MiniAContainerHeight"><xsl:value-of select="page/server/config/minidimention + 4" /></xsl:variable>
 <xsl:variable name="ParentFolderSrc"><xsl:call-template name="getParentFolderSrc" /></xsl:variable>
 <xsl:variable name="ShowPlayers"><xsl:value-of select="page/server/config/showplayers" /></xsl:variable>
 <xsl:variable name="AllowMini"><xsl:value-of select="page/server/config/allowmini" /></xsl:variable>
 <xsl:variable name="apos"><xsl:text>'</xsl:text></xsl:variable>


 <!--Root template-->

 <xsl:template match="/">


  <!--Check document type (folder, message or identification)-->

  <xsl:choose>


   <!--It's a 'folder' document-->

   <xsl:when test="page/document/@type = 'folder'">


    <!--Page head-->

    <html xml:lang="{page/server/language/@type}" lang="{page/server/language/@type}">
     <head>
      <title><xsl:call-template name="getPageTitle" /></title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
      <link href="/?res=classic.css" rel="stylesheet" type="text/css" />
      <link href="{page/document/url/@icon}" rel="shortcut icon" />
      <script src="/?res=classic.js" type="text/javascript"></script>
      <xsl:if test="$DisableToolTips = 'false'">
       <script type="text/javascript">
        <xsl:text>TtpName = "</xsl:text><xsl:value-of select="page/server/language/tooltips/name" /><xsl:text>";</xsl:text>
        <xsl:text>TtpSize = "</xsl:text><xsl:value-of select="page/server/language/tooltips/size" /><xsl:text>";</xsl:text>
        <xsl:text>TtpDate = "</xsl:text><xsl:value-of select="page/server/language/tooltips/date" /><xsl:text>";</xsl:text>
        <xsl:text>TtpArtist = "</xsl:text><xsl:value-of select="page/server/language/tooltips/artist" /><xsl:text>";</xsl:text>
        <xsl:text>TtpTitle = "</xsl:text><xsl:value-of select="page/server/language/tooltips/title" /><xsl:text>";</xsl:text>
        <xsl:text>TtpAlbum = "</xsl:text><xsl:value-of select="page/server/language/tooltips/album" /><xsl:text>";</xsl:text>
        <xsl:text>TtpYear = "</xsl:text><xsl:value-of select="page/server/language/tooltips/year" /><xsl:text>";</xsl:text>
        <xsl:text>TtpTrack = "</xsl:text><xsl:value-of select="page/server/language/tooltips/track" /><xsl:text>";</xsl:text>
        <xsl:text>TtpLength = "</xsl:text><xsl:value-of select="page/server/language/tooltips/length" /><xsl:text>";</xsl:text>
        <xsl:text>TtpBitrate = "</xsl:text><xsl:value-of select="page/server/language/tooltips/bitrate" /><xsl:text>";</xsl:text>
       </script>
      </xsl:if>
     </head>
     <body onclick="javascript:HideOpenedMenus('{$DisableEffects = 'false'}')">
      <xsl:if test="$DisableToolTips = 'false'">
       <div id="itemdetails"></div>
      </xsl:if>
      <table id="pghead" cellpadding="0" cellspacing="0">
       <tr>
        <td id="pghead_logocel">
         <img src="{page/document/icon/@src}" alt="" id="pghead_logoimg" />
        </td>
        <td>
         <span class="pghead_url"><xsl:call-template name="getCurrentUrl" /></span><br />
         <span id="pghead_infos"><xsl:call-template name="getFolderInfos" /></span>
        </td>
       </tr>
      </table>


      <!--Section 'folder'-->

      <xsl:if test="(count(page/section[@type='folder']/group/item) > 0) or (count(page/document/url/folder) > 0 and page/server/config/showfolder = 'true')">
       <xsl:call-template name="createCompleteSection">
        <xsl:with-param name="sectionName">folder</xsl:with-param>
       </xsl:call-template>
      </xsl:if>


      <!--Section 'other'-->

      <xsl:if test="count(page/section[@type='other']/group/item) > 0">
       <xsl:call-template name="createCompleteSection">
        <xsl:with-param name="sectionName">other</xsl:with-param>
       </xsl:call-template>
      </xsl:if>


      <!--Section 'sound'-->

      <xsl:if test="count(page/section[@type='sound']/group/item) > 0">
       <xsl:call-template name="createCompleteSection">
        <xsl:with-param name="sectionName">sound</xsl:with-param>
       </xsl:call-template>
      </xsl:if>


      <!--Section 'image'-->

      <xsl:if test="count(page/section[@type='image']/group/item) > 0">
       <xsl:call-template name="createCompleteSection">
          <xsl:with-param name="sectionName">image</xsl:with-param>
       </xsl:call-template>
      </xsl:if>


      <!--Section 'video'-->

      <xsl:if test="count(page/section[@type='video']/group/item) > 0">
       <xsl:call-template name="createCompleteSection">
        <xsl:with-param name="sectionName">video</xsl:with-param>
       </xsl:call-template>
      </xsl:if>


      <!--Page end-->

      <p><xsl:call-template name="getAppInfos" /></p>
     </body>
    </html>


   </xsl:when>


   <!--It's a 'message' document-->

   <xsl:when test="page/document/@type = 'message'">
    <html xml:lang="{page/server/language/@type}" lang="{page/server/language/@type}">
     <head>
      <title><xsl:value-of select="page/message/title" /></title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
      <link href="/?res=classic.css" rel="stylesheet" type="text/css" />
      <link href="{page/document/url/@icon}" rel="shortcut icon" />
     </head>
     <body>
      <div class="message_maincontainer">
       <div class="message_titlecontainer">
        <span class="message_titlefont"><xsl:value-of select="page/message/title" /></span>
       </div>
       <div class="message_textcontainer">
        <span class="message_textfont"><xsl:value-of select="page/message/label" /></span>
       </div>
       <div class="message_bottomcontainer"></div>
      </div>
     </body>
    </html>
   </xsl:when>


   <!--It's a 'identification' document-->

   <xsl:when test="page/document/@type = 'identification'">
    <html xml:lang="{page/server/language/@type}" lang="{page/server/language/@type}">
     <head>
      <title><xsl:value-of select="page/identification/title" /></title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
      <link href="/?res=classic.css" rel="stylesheet" type="text/css" />
      <link href="{page/document/url/@icon}" rel="shortcut icon" />
     </head>
     <body>
      <div class="identification_maincontainer">
       <div class="identification_titlecontainer">
        <span class="identification_titlefont"><xsl:value-of select="page/identification/title" /></span>
       </div>
       <div class="identification_textcontainer">
        <form method="post" action="">
         <div class="identification_infocontainer"><span class="identification_infofont"><xsl:value-of select="page/server/language/info" /></span></div>
         <div class="identification_usercontainer"><span class="identification_labelfont"><xsl:value-of select="page/server/language/user" /> :</span><input type="text" name="user" id="identification_usertxt" /></div>
         <div class="identification_pwdcontainer"><span class="identification_labelfont"><xsl:value-of select="page/server/language/password" /> :</span><input type="password" name="password" id="identification_passwordtxt" /></div>
         <div class="identification_savepwdcontainer"><input type="checkbox" name="savepwd" id="identification_savepwd" checked="checked" /><span class="identification_labelfont"><xsl:value-of select="page/server/language/savepwd" /></span></div>
         <div class="identification_submitcontainer"><input type="submit" id="identification_submit" value="{page/server/language/submit}" /></div>
        </form>
       </div>
       <div class="identification_bottomcontainer"></div>
      </div>
     </body>
    </html>
   </xsl:when>


  </xsl:choose>


 </xsl:template>


 <!--Get section items number-->

 <xsl:template name="getSectionItemNb">
  <xsl:param name="sectionName" />
  <xsl:value-of select="count(page/section[@type=$sectionName]/group/item)" />
  <xsl:text> </xsl:text>
  <xsl:choose>
   <xsl:when test="count(page/section[@type=$sectionName]/group/item) > 1">
    <xsl:value-of select="page/server/language/units/objects" />
   </xsl:when>
   <xsl:otherwise>
    <xsl:value-of select="page/server/language/units/object" />
   </xsl:otherwise>
  </xsl:choose>
  <xsl:if test="$sectionName != 'folder'">
   <xsl:text> (</xsl:text>
    <xsl:call-template name="getFormattedSize">
     <xsl:with-param name="size"><xsl:value-of select="sum(page/section[@type=$sectionName]/group/item/size)" /></xsl:with-param>
    </xsl:call-template>
   <xsl:text>)</xsl:text>
  </xsl:if>
 </xsl:template>


 <!--Get current url (with links)-->

 <xsl:template name="getCurrentUrl">
  <a href="/?.pls" class="pghead_url"><xsl:text>/</xsl:text></a><xsl:for-each select="page/document/url/folder"><a href="{./@src}" class="pghead_url"><xsl:value-of select="./@label" /><xsl:text>/</xsl:text></a></xsl:for-each>
 </xsl:template>
 

 <!--Get parent folder link-->

 <xsl:template name="getParentFolderSrc">
  <xsl:choose>
   <xsl:when test="count(page/document/url/folder) = 1">
    <xsl:text>/</xsl:text><xsl:value-of select="$CurrentUrlTag" />
   </xsl:when>
   <xsl:otherwise>
    <xsl:value-of select="page/document/url/folder[position() = last() - 1]/@src" />
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>


 <!--Get section title-->

 <xsl:template name="getSectionTitle">
  <xsl:param name="sectionName" />
  <xsl:value-of select="page/server/language/sections/*[name()=$sectionName]" />
  <xsl:if test="count(page/section[@type=$sectionName]/group/item) != (page/section[@type=$sectionName]/@diskitems)">
   <xsl:text> </xsl:text>
   <xsl:value-of select="page/server/language/sections/containing" />
   <xsl:text> '</xsl:text>
   <xsl:value-of select="page/section[@type=$sectionName]/@filter" />
   <xsl:text>'</xsl:text>
  </xsl:if>
 </xsl:template>


 <!--Get formatted file size-->

 <xsl:template name="getFormattedSize">
  <xsl:param name="size" />
  <xsl:if test="$size &lt;= 1">
   <xsl:value-of select="$size" />
   <xsl:text> </xsl:text>
   <xsl:value-of select="$byte" />
  </xsl:if>
  <xsl:if test="$size &gt; 1 and $size &lt; 1024">
   <xsl:value-of select="$size" />
   <xsl:text> </xsl:text>
   <xsl:value-of select="$bytes" />
  </xsl:if>
  <xsl:if test="$size &gt;= 1024 and $size &lt; 1048576">
   <xsl:value-of select="format-number($size div 1024,'########0.00')" />
   <xsl:text> </xsl:text>
   <xsl:value-of select="$kilobyte" />
  </xsl:if>
  <xsl:if test="$size &gt;= 1048576 and $size &lt; 1073741824">
   <xsl:value-of select="format-number($size div 1048576,'########0.00')" />
   <xsl:text> </xsl:text>
   <xsl:value-of select="$megabyte" />
  </xsl:if>
  <xsl:if test="$size &gt;= 1073741824 and $size &lt; 1099511627776">
   <xsl:value-of select="format-number($size div 1073741824,'########0.00')" />
   <xsl:text> </xsl:text>
   <xsl:value-of select="$gigabyte" />
  </xsl:if>
  <xsl:if test="$size &gt;= 1099511627776 and $size &lt; 1125899906842624">
   <xsl:value-of select="format-number($size div 1099511627776,'########0.00')" />
   <xsl:text> </xsl:text>
   <xsl:value-of select="$terabyte" />
  </xsl:if>
 </xsl:template>


 <!--Get page title-->

 <xsl:template name="getPageTitle">
  <xsl:text>/</xsl:text>
  <xsl:for-each select="page/document/url/folder">
   <xsl:value-of select="./@label" />
   <xsl:text>/</xsl:text>
  </xsl:for-each>
 </xsl:template>


 <!--Get folder infos-->

 <xsl:template name="getFolderInfos">
  <xsl:variable name="TotalItem"><xsl:value-of select="count(page/section/group/item)" /></xsl:variable>
  <xsl:variable name="TotalSize"><xsl:value-of select="sum(page/section/group/item/size)" /></xsl:variable>
  <xsl:value-of select="$TotalItem" />
  <xsl:text> </xsl:text>
  <xsl:choose>
   <xsl:when test="$TotalItem &lt;= 1">
    <xsl:value-of select="page/server/language/units/object" />
   </xsl:when>
   <xsl:otherwise>
    <xsl:value-of select="page/server/language/units/objects" />
   </xsl:otherwise>
  </xsl:choose>
  <xsl:text> (</xsl:text>
  <xsl:call-template name="getFormattedSize">
   <xsl:with-param name="size"><xsl:value-of select="$TotalSize" /></xsl:with-param>
  </xsl:call-template>
  <xsl:text>)</xsl:text>
 </xsl:template>


 <!--Get application infos-->

 <xsl:template name="getAppInfos">
  <xsl:value-of select="page/server/version/name" />
  <xsl:text> </xsl:text>
  <xsl:value-of select="page/server/version/num" />
  <xsl:text> build </xsl:text>
  <xsl:value-of select="page/server/version/build" />
 </xsl:template>


 <!--Get mouse over color to use-->

 <xsl:template name="getMouseOverColor">
  <xsl:param name="sectionName" />
  <xsl:choose>
   <xsl:when test="$sectionName = 'folder'">
    <xsl:value-of select="$MouseOverColorFolder" />
   </xsl:when>
   <xsl:when test="$sectionName = 'other'">
    <xsl:value-of select="$MouseOverColorOther" />
   </xsl:when>
   <xsl:when test="$sectionName = 'sound'">
    <xsl:value-of select="$MouseOverColorSound" />
   </xsl:when>
   <xsl:when test="$sectionName = 'image'">
    <xsl:value-of select="$MouseOverColorImage" />
   </xsl:when>
   <xsl:when test="$sectionName = 'video'">
    <xsl:value-of select="$MouseOverColorVideo" />
   </xsl:when>
  </xsl:choose>
 </xsl:template>


 <!--Define external XML code as XHTML-->

 <xsl:template match="*" mode="copyAndChangeNS">
  <xsl:element name="{local-name()}" namespace="http://www.w3.org/1999/xhtml">
   <xsl:copy-of select="@*"/>
  </xsl:element>
 </xsl:template>


 <!--Set parameters in url tag-->

 <xsl:template name="setUrlTagParam">
  <xsl:param name="UrlTag" />
  <xsl:param name="ParamName" />
  <xsl:param name="ParamValue" />
  <xsl:choose>


   <!--Param is already present in url tag-->

   <xsl:when test="contains($UrlTag, concat($ParamName, '='))">
    <xsl:value-of select="substring-before($UrlTag, concat($ParamName, '='))" />
    <xsl:value-of select="$ParamName" />
    <xsl:text>=</xsl:text>
    <xsl:value-of select="$ParamValue" />
    <xsl:text>&amp;</xsl:text>
    <xsl:value-of select="substring-after(substring-after($UrlTag, concat($ParamName, '=')), '&amp;')" />
   </xsl:when>


   <!--Param is not present in url tag-->

   <xsl:otherwise>
    <xsl:choose>


     <!--Url tag don't start with '?' : it's an invalid tag-->

     <xsl:when test="substring($UrlTag,1,1) != '?'">
      <xsl:text>?</xsl:text>
      <xsl:value-of select="$ParamName" />
      <xsl:text>=</xsl:text>
      <xsl:value-of select="$ParamValue" />
      <xsl:text>&amp;.pls</xsl:text>
     </xsl:when>


     <!--Url tag start with '?' : it's a valid tag-->

     <xsl:otherwise>
      <xsl:value-of select="substring-before($UrlTag, '&amp;.pls')" />


      <xsl:choose>
       <xsl:when test="contains($UrlTag, '&amp;.pls')">
        <xsl:text>&amp;</xsl:text>
       </xsl:when>
       <xsl:otherwise>
        <xsl:text>?</xsl:text>
       </xsl:otherwise>
      </xsl:choose>


      <xsl:value-of select="$ParamName" />
      <xsl:text>=</xsl:text>
      <xsl:value-of select="$ParamValue" />
      <xsl:text>&amp;.pls</xsl:text>
     </xsl:otherwise>


    </xsl:choose>
   </xsl:otherwise>


  </xsl:choose>
 </xsl:template>


 <!--Set parameters in url tag (with sort order invert)-->

 <xsl:template name="setUrlTagParamWithSortInvert">
  <xsl:param name="sectionName" />
  <xsl:param name="UrlTag" />
  <xsl:param name="ParamName" />
  <xsl:param name="ParamValue" />


  <!--Set parameters in url tag-->

  <xsl:variable name="NewUrlTag">
   <xsl:call-template name="setUrlTagParam">
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:value-of select="$ParamName" /></xsl:with-param>
    <xsl:with-param name="ParamValue"><xsl:value-of select="$ParamValue" /></xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--Sort order must be inverted ?-->

  <xsl:choose>


   <!--Invert sort order ?-->

   <xsl:when test="$ParamName = concat('sortby_', $sectionName) and $ParamValue = page/section[@type=$sectionName]/@sortby">

    
    <!--Check actual sort order-->

    <xsl:choose>


     <!--Sort order is ascending, set to descending-->

     <xsl:when test="page/section[@type=$sectionName]/@sortorder = 'ascending'">
      <xsl:call-template name="setUrlTagParam">
       <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
       <xsl:with-param name="UrlTag"><xsl:value-of select="$NewUrlTag" /></xsl:with-param>
       <xsl:with-param name="ParamName"><xsl:text>sortorder_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
       <xsl:with-param name="ParamValue">descending</xsl:with-param>
      </xsl:call-template>
     </xsl:when>


     <!--Sort order is descending, set to ascending-->

     <xsl:otherwise>
      <xsl:call-template name="setUrlTagParam">
       <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
       <xsl:with-param name="UrlTag"><xsl:value-of select="$NewUrlTag" /></xsl:with-param>
       <xsl:with-param name="ParamName"><xsl:text>sortorder_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
       <xsl:with-param name="ParamValue">ascending</xsl:with-param>
      </xsl:call-template>
     </xsl:otherwise>


    </xsl:choose>


   </xsl:when>


   <!--Write result ?-->

   <xsl:otherwise>
    <xsl:value-of select="$NewUrlTag" />
   </xsl:otherwise>


  </xsl:choose>


 </xsl:template>


 <!--Set parameters in url tag (with show by group invert)-->

 <xsl:template name="setUrlTagWithGroupInvert">
  <xsl:param name="sectionName" />
  <xsl:param name="UrlTag" />


  <!--Check actual show by group value-->

  <xsl:choose>


   <!--Show by group is true : set to false-->

   <xsl:when test="page/section[@type=$sectionName]/@showgroup = 'true'">
    <xsl:call-template name="setUrlTagParam">
     <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
     <xsl:with-param name="UrlTag"><xsl:value-of select="$UrlTag" /></xsl:with-param>
     <xsl:with-param name="ParamName"><xsl:text>showgroup_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
     <xsl:with-param name="ParamValue"><xsl:text>false</xsl:text></xsl:with-param>
    </xsl:call-template>
   </xsl:when>


   <!--Show by group is false : set to true-->

   <xsl:otherwise>
    <xsl:call-template name="setUrlTagParam">
     <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
     <xsl:with-param name="UrlTag"><xsl:value-of select="$UrlTag" /></xsl:with-param>
     <xsl:with-param name="ParamName"><xsl:text>showgroup_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
     <xsl:with-param name="ParamValue"><xsl:text>true</xsl:text></xsl:with-param>
    </xsl:call-template>
   </xsl:otherwise>


  </xsl:choose>


 </xsl:template>


 <!--Set parameters in url tag (with show players invert)-->

 <xsl:template name="setUrlTagWithShowPlayersInvert">
  <xsl:param name="sectionName" />
  <xsl:param name="UrlTag" />


  <!--Check actual show by group value-->

  <xsl:choose>


   <!--Show players is true : set to false-->

   <xsl:when test="page/server/config/showplayers = 'true'">
    <xsl:call-template name="setUrlTagParam">
     <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
     <xsl:with-param name="UrlTag"><xsl:value-of select="$UrlTag" /></xsl:with-param>
     <xsl:with-param name="ParamName"><xsl:text>showplayers</xsl:text></xsl:with-param>
     <xsl:with-param name="ParamValue"><xsl:text>false</xsl:text></xsl:with-param>
    </xsl:call-template>
   </xsl:when>


   <!--Show players is false : set to true-->

   <xsl:otherwise>
    <xsl:call-template name="setUrlTagParam">
     <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
     <xsl:with-param name="UrlTag"><xsl:value-of select="$UrlTag" /></xsl:with-param>
     <xsl:with-param name="ParamName"><xsl:text>showplayers</xsl:text></xsl:with-param>
     <xsl:with-param name="ParamValue"><xsl:text>true</xsl:text></xsl:with-param>
    </xsl:call-template>
   </xsl:otherwise>


  </xsl:choose>


 </xsl:template>


 <!--Get 'show by' icon-->

 <xsl:template name="getShowByImg">
  <xsl:param name="sectionName" />
  <xsl:param name="ShowBy" />
  <xsl:choose>
   <xsl:when test="page/section[@type=$sectionName]/@showby = $ShowBy">
    <xsl:text>menuicon_showby_selected.png</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>menuicon_showby_unselected.png</xsl:text>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>


 <!--Get 'sort by' icon-->

 <xsl:template name="getSortByImg">
  <xsl:param name="sectionName" />
  <xsl:param name="SortBy" />
  <xsl:choose>
   <xsl:when test="page/section[@type=$sectionName]/@sortby = $SortBy">
    <xsl:text>menuicon_sort_</xsl:text>
    <xsl:value-of select="page/section[@type=$sectionName]/@sortorder" />
    <xsl:text>_selected.png</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>menuicon_sort_</xsl:text>
    <xsl:value-of select="page/section[@type=$sectionName]/@sortorder" />
    <xsl:text>_unselected.png</xsl:text>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>


 <!--Get 'show by group' icon-->

 <xsl:template name="getShowByGroupImg">
  <xsl:param name="sectionName" />
  <xsl:choose>
   <xsl:when test="page/section[@type=$sectionName]/@showgroup = 'true' or page/section[@type=$sectionName]/@sortby = 'artist' or page/section[@type=$sectionName]/@sortby = 'album'">
    <xsl:text>menuicon_showgroup_selected.png</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>menuicon_showgroup_unselected.png</xsl:text>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>


 <!--Get 'show players' icon-->

 <xsl:template name="getShowPlayersImg">
  <xsl:choose>
   <xsl:when test="page/server/config/showplayers = 'true'">
    <xsl:text>menuicon_showplayers_selected.png</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>menuicon_showplayers_unselected.png</xsl:text>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>


 <!--Create section head-->

 <xsl:template name="createSectionHead">
  <xsl:param name="sectionName" />
  <table cellpadding="0" cellspacing="0" class="snhead" id="snhead_{$sectionName}">


   <!--Title line-->

   <tr>
    <td class="snhead_logocel">
     <img src="/?res=itemicon_small_show_{$sectionName}.png" alt="" class="snhead_logoimg" />
    </td>
    <td>
     <span class="snhead_font">
      <xsl:call-template name="getSectionTitle">
       <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
      </xsl:call-template>
     </span>
    </td>
    <td class="snhead_infocel">
     <span class="snhead_font">
     <xsl:call-template name="getSectionItemNb">
      <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
     </xsl:call-template>
     </span>
    </td>
    <td class="snhead_buttoncel">
     <a href="javascript:showMainMenu('{$sectionName}','{$DisableEffects = 'false'}')">
      <img src="/?res=section_{$sectionName}_arrow.png" alt="" class="snhead_buttonimg" />
     </a>
    </td>
   </tr>


   <!--Blank line & section menu-->

   <tr>
    <td class="snhead_colorlinecelall" id="snhead_colorlinecel{$sectionName}" colspan="6">
     <div class="snhead_colorlinecontainer">


      <!--Filter-->

      <xsl:call-template name="createSectionFilter">
       <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
      </xsl:call-template>


      <!--Menu-->

      <xsl:call-template name="createSectionMenu">
       <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
      </xsl:call-template>


     </div>
    </td>
   </tr>


  </table>
 </xsl:template>


 <!--Create section menu-->

 <xsl:template name="createSectionMenu">
  <xsl:param name="sectionName" />


  <!--Get mouse over color to use-->

  <xsl:variable name="MouseOverColor">
   <xsl:call-template name="getMouseOverColor">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by' image filename-->

  <xsl:variable name="SortByImg">
   <xsl:call-template name="getSortByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="SortBy">null</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show by list' image filename-->

  <xsl:variable name="ShowByListImg">
   <xsl:call-template name="getShowByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ShowBy">list</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show by icon' image filename-->

  <xsl:variable name="ShowByIconImg">
   <xsl:call-template name="getShowByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ShowBy">icon</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show by mini' image filename-->

  <xsl:variable name="ShowByMiniImg">
   <xsl:call-template name="getShowByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ShowBy">mini</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by artist' image filename-->

  <xsl:variable name="SortByArtistImg">
   <xsl:call-template name="getSortByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="SortBy">artist</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by album' image filename-->

  <xsl:variable name="SortByAlbumImg">
   <xsl:call-template name="getSortByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="SortBy">album</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by name' image filename-->

  <xsl:variable name="SortByNameImg">
   <xsl:call-template name="getSortByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="SortBy">name</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by size' image filename-->

  <xsl:variable name="SortBySizeImg">
   <xsl:call-template name="getSortByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="SortBy">size</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by type' image filename-->

  <xsl:variable name="SortByTypeImg">
   <xsl:call-template name="getSortByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="SortBy">type</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by date' image filename-->

  <xsl:variable name="SortByDateImg">
   <xsl:call-template name="getSortByImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="SortBy">date</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show by group' image filename-->

  <xsl:variable name="ShowByGroupImg">
   <xsl:call-template name="getShowByGroupImg">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show players' image filename-->

  <xsl:variable name="ShowPlayersImg">
   <xsl:call-template name="getShowPlayersImg">
   </xsl:call-template>
  </xsl:variable>



  <!--'Show by list' link-->

  <xsl:variable name="ShowByListSrc">
   <xsl:call-template name="setUrlTagParam">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>showby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">list</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show by icon' link-->

  <xsl:variable name="ShowByIconSrc">
   <xsl:call-template name="setUrlTagParam">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>showby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">icon</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show by mini' link-->

  <xsl:variable name="ShowByMiniSrc">
   <xsl:call-template name="setUrlTagParam">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>showby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">mini</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by artist' link-->

  <xsl:variable name="SortByArtistSrc">
   <xsl:call-template name="setUrlTagParamWithSortInvert">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>sortby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">artist</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by album' link-->

  <xsl:variable name="SortByAlbumSrc">
   <xsl:call-template name="setUrlTagParamWithSortInvert">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>sortby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">album</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by name' link-->

  <xsl:variable name="SortByNameSrc">
   <xsl:call-template name="setUrlTagParamWithSortInvert">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>sortby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">name</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by size' link-->

  <xsl:variable name="SortBySizeSrc">
   <xsl:call-template name="setUrlTagParamWithSortInvert">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>sortby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">size</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by type' link-->

  <xsl:variable name="SortByTypeSrc">
   <xsl:call-template name="setUrlTagParamWithSortInvert">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>sortby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">type</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Sort by date' link-->

  <xsl:variable name="SortByDateSrc">
   <xsl:call-template name="setUrlTagParamWithSortInvert">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
    <xsl:with-param name="ParamName"><xsl:text>sortby_</xsl:text><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="ParamValue">date</xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show by group' link-->

  <xsl:variable name="ShowByGroupSrc">
   <xsl:call-template name="setUrlTagWithGroupInvert">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--'Show players' link-->

  <xsl:variable name="ShowPlayersSrc">
   <xsl:call-template name="setUrlTagWithShowPlayersInvert">
    <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    <xsl:with-param name="UrlTag"><xsl:value-of select="$CurrentUrlTag" /></xsl:with-param>
   </xsl:call-template>
  </xsl:variable>


  <!--Build main menu-->

  <div id="menu_main{$sectionName}">
   <table cellpadding="0" cellspacing="0" class="menu_content{$sectionName}">


    <!--Build 'show by...' menu line-->

    <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}';showSubMenu('{$sectionName}','showby','{$DisableEffects = 'false'}');" onmouseout="this.style.backgroundColor='#FFFFFF'">
     <td class="snmenu_iconcel">
      <a href="#">
       <img src="/?res=menuicon_showby_unselected.png" alt="" class="snmenu_iconimg" />
      </a>
     </td>
     <td class="snmenu_textcel">
      <a href="#" class="linelink"><xsl:value-of select="page/server/language/menus/showby" /></a>
     </td>
     <td class="snmenu_arrowcel">
      <img src="/?res=menuicon_arrow.png" alt="" class="snmenu_arrowimg" />
     </td>
    </tr>


    <!--Build 'sort by...' menu line-->

    <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}';showSubMenu('{$sectionName}','sortby','{$DisableEffects = 'false'}');" onmouseout="this.style.backgroundColor='#FFFFFF'">
     <td class="snmenu_iconcel">
      <a href="#">
       <img src="/?res={$SortByImg}" alt="" class="snmenu_iconimg" />
      </a>
     </td>
     <td>
      <a href="#" class="linelink"><xsl:value-of select="page/server/language/menus/sortby" /></a>
     </td>
     <td class="snmenu_arrowcel">
      <img src="/?res=menuicon_arrow.png" alt="" class="snmenu_arrowimg" />
     </td>
    </tr>


    <!--Build 'show by group' menu line-->

    <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}';hideOpenedSubMenu('{$DisableEffects = 'false'}');" onmouseout="this.style.backgroundColor='#FFFFFF'">
     <td class="snmenu_iconcel">
      <a href="{$ShowByGroupSrc}">
       <img src="/?res={$ShowByGroupImg}" alt="" class="snmenu_iconimg" />
      </a>
     </td>
     <td colspan="2">
     <a href="{$ShowByGroupSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/showgroup" /></a>
     </td>
    </tr>


    <!--Build 'show players' and 'listen all' menu lines-->

    <xsl:if test="$sectionName = 'sound'">
     <xsl:if test="$DisablePlayers = 'false'">
      <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}';hideOpenedSubMenu('{$DisableEffects = 'false'}');" onmouseout="this.style.backgroundColor='#FFFFFF'">
       <td class="snmenu_iconcel">
        <a href="{$ShowPlayersSrc}">
         <img src="/?res={$ShowPlayersImg}" alt="" class="snmenu_iconimg" />
        </a>
       </td>
       <td colspan="2">
       <a href="{$ShowPlayersSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/showplayers" /></a>
       </td>
      </tr>
     </xsl:if>
     <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}';hideOpenedSubMenu('{$DisableEffects = 'false'}');" onmouseout="this.style.backgroundColor='#FFFFFF'">
      <td class="snmenu_iconcel">
       <a href="?folder.pls">
        <img src="/?res=menuicon_playall.png" alt="" class="snmenu_iconimg" />
       </a>
      </td>
      <td colspan="2">
       <a href="?folder.pls" class="linelink"><xsl:value-of select="page/server/language/menus/listen_section" /></a>
      </td>
     </tr>
    </xsl:if>


    <!--Build 'filter' menu line-->

    <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}';hideOpenedSubMenu('{$DisableEffects = 'false'}');" onmouseout="this.style.backgroundColor='#FFFFFF'">
     <td class="snmenu_iconcel">
      <a href="javascript:showFilter('{$sectionName}','{$DisableEffects = 'false'}')">
       <img src="/?res=menuicon_filter.png" alt="" class="snmenu_iconimg" />
      </a>
     </td>
     <td colspan="2">
     <a href="javascript:showFilter('{$sectionName}','{$DisableEffects = 'false'}')" class="linelink"><xsl:value-of select="page/server/language/menus/filter" /></a>
     </td>
    </tr>


   </table>
  </div>


  <!--Build 'show by' menu-->

  <div id="menu_showby{$sectionName}">
   <table cellpadding="0" cellspacing="0" class="menu_content{$sectionName}">


    <!--Build 'show by list' menu line-->

    <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
     <td class="snmenu_iconcel">
      <a href="{$ShowByListSrc}">
       <img src="/?res={$ShowByListImg}" alt="" class="snmenu_iconimg" />
      </a>
     </td>
     <td>
      <a href="{$ShowByListSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/showbylist" /></a>
     </td>
    </tr>


    <!--Build 'show by icon' menu line-->

    <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
     <td class="snmenu_iconcel">
      <a href="{$ShowByIconSrc}">
       <img src="/?res={$ShowByIconImg}" alt="" class="snmenu_iconimg" />
      </a>
     </td>
     <td>
      <a href="{$ShowByIconSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/showbyicon" /></a>
     </td>
    </tr>


    <!--Build 'show by mini' menu line-->

    <xsl:if test="$AllowMini = 'true'">
     <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
      <td class="snmenu_iconcel">
       <a href="{$ShowByMiniSrc}">
        <img src="/?res={$ShowByMiniImg}" alt="" class="snmenu_iconimg" />
       </a>
      </td>
      <td>
       <a href="{$ShowByMiniSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/showbymini" /></a>
      </td>
     </tr>
    </xsl:if>


   </table>
  </div>


  <!--Build 'sort by' menu-->

  <div id="menu_sortby{$sectionName}">
   <table cellpadding="0" cellspacing="0" class="menu_content{$sectionName}">


    <!--Build 'sort by artist' and 'sort by album' menu lines-->

    <xsl:if test="page/server/config/allowmedia = 'true' and $sectionName = 'sound'">
     <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
      <td class="snmenu_iconcel">
       <a href="{$SortByArtistSrc}">
        <img src="/?res={$SortByArtistImg}" alt="" class="snmenu_iconimg" />
       </a>
      </td>
      <td>
       <a href="{$SortByArtistSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/sortbyartist" /></a>
      </td>
     </tr>
     <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
      <td class="snmenu_iconcel">
       <a href="{$SortByAlbumSrc}">
        <img src="/?res={$SortByAlbumImg}" alt="" class="snmenu_iconimg" />
       </a>
      </td>
      <td>
       <a href="{$SortByAlbumSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/sortbyalbum" /></a>
      </td>
     </tr>
    </xsl:if>


    <!--Build 'sort by name' menu line-->

    <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
     <td class="snmenu_iconcel">
      <a href="{$SortByNameSrc}">
       <img src="/?res={$SortByNameImg}" alt="" class="snmenu_iconimg" />
      </a>
     </td>
     <td>
      <a href="{$SortByNameSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/sortbyname" /></a>
     </td>
    </tr>


    <!--Build 'sort by size' and 'sort by type' menu lines-->

    <xsl:if test="$sectionName != 'folder'">
     <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
      <td class="snmenu_iconcel">
       <a href="{$SortBySizeSrc}">
        <img src="/?res={$SortBySizeImg}" alt="" class="snmenu_iconimg" />
       </a>
      </td>
      <td>
       <a href="{$SortBySizeSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/sortbysize" /></a>
      </td>
     </tr>
     <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
      <td class="snmenu_iconcel">
       <a href="{$SortByTypeSrc}">
        <img src="/?res={$SortByTypeImg}" alt="" class="snmenu_iconimg" />
       </a>
      </td>
      <td>
       <a href="{$SortByTypeSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/sortbytype" /></a>
      </td>
     </tr>
    </xsl:if>


    <!--Build 'sort by date' menu line-->

    <tr onmouseover="this.style.backgroundColor='{$MouseOverColor}'" onmouseout="this.style.backgroundColor='#FFFFFF'">
     <td class="snmenu_iconcel">
      <a href="{$SortByDateSrc}">
       <img src="/?res={$SortByDateImg}" alt="" class="snmenu_iconimg" />
      </a>
     </td>
     <td>
      <a href="{$SortByDateSrc}" class="linelink"><xsl:value-of select="page/server/language/menus/sortbydate" /></a>
     </td>
    </tr>


   </table>
  </div>


 </xsl:template>


 <!--Create section filter-->

 <xsl:template name="createSectionFilter">
  <xsl:param name="sectionName" />
  <div id="filter_{$sectionName}">
   <table cellpadding="0" cellspacing="0" id="filter_content{$sectionName}">
    <tr>
     <td class="snfilter_labelcel">
      <span class="snfilter_label"><xsl:value-of select="page/server/language/filters/label" /><xsl:text>:</xsl:text></span>
     </td>
     <td>
      <input type="text" value="{page/section[@type=$sectionName]/@filter}" class="filtertext_all" id="filtertext_{$sectionName}" onkeydown="if(returnPressedKey(event) == 13)GoToFilterLocation('filter_{$sectionName}', document.getElementById('filtertext_{$sectionName}').value)" />
     </td>
     <td class="snfilter_buttoncel">
      <input type="button" class="snfilter_button1" value="{page/server/language/filters/validate}" onclick="GoToFilterLocation('filter_{$sectionName}', document.getElementById('filtertext_{$sectionName}').value)" />
     </td>
     <td class="snfilter_buttoncel">
      <input type="button" class="snfilter_button2" value="{page/server/language/filters/hide}" onclick="javascript:hideFilter('{$sectionName}','{$DisableEffects = 'false'}')" />
     </td>
    </tr>
   </table>
  </div>
 </xsl:template>


 <!--Create list item-->

 <xsl:template name="createItemList">
  <xsl:param name="sectionName" />
  <xsl:param name="Label" />
  <xsl:param name="Src" />
  <xsl:param name="Img" />
  <xsl:param name="MouseOverColor" />
  <xsl:param name="ListImgClass" />
  <xsl:variable name="FormattedSize">
   <xsl:if test="$sectionName != 'folder'">
    <xsl:call-template name="getFormattedSize">
     <xsl:with-param name="size"><xsl:value-of select="size" /></xsl:with-param>
    </xsl:call-template>
   </xsl:if>
  </xsl:variable>
  <tr>


   <!--Build tooltips events-->

   <xsl:choose>
    <xsl:when test="$DisableToolTips = 'false' and name">
     <xsl:attribute name="onmouseover">
      <xsl:text>this.style.backgroundColor='</xsl:text>
      <xsl:value-of select="$MouseOverColor" />
      <xsl:text>';</xsl:text>
      <xsl:choose>
       <xsl:when test="$sectionName = 'folder'">
        <xsl:text>showFolderDetails('</xsl:text>
        <xsl:value-of select="$DisableEffects = 'false'" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="translate(name, $apos,'|')" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="date" />
        <xsl:text>')</xsl:text>
       </xsl:when>
       <xsl:when test="../../@sortby = 'artist' or ../../@sortby = 'album'">
        <xsl:text>showMFileDetails('</xsl:text>
        <xsl:value-of select="$DisableEffects = 'false'" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="translate(name, $apos,'|')" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="$FormattedSize" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="date" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="translate(artist, $apos,'|')" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="translate(title, $apos,'|')" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="translate(album, $apos,'|')" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="year" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="track" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="length" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="bitrate" />
        <xsl:text>')</xsl:text>
       </xsl:when>
       <xsl:otherwise>
        <xsl:text>showNFileDetails('</xsl:text>
        <xsl:value-of select="$DisableEffects = 'false'" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="translate(name, $apos,'|')" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="$FormattedSize" />
        <xsl:text>', '</xsl:text>
        <xsl:value-of select="date" />
        <xsl:text>')</xsl:text>
       </xsl:otherwise>
      </xsl:choose>
     </xsl:attribute>
     <xsl:attribute name="onmouseout">
      <xsl:text>this.style.backgroundColor='#FFFFFF';hideDetails()</xsl:text>
     </xsl:attribute>
    </xsl:when>
    <xsl:otherwise>
     <xsl:attribute name="onmouseover">
      <xsl:text>this.style.backgroundColor='</xsl:text>
      <xsl:value-of select="$MouseOverColor" />
      <xsl:text>'</xsl:text>
     </xsl:attribute>
     <xsl:attribute name="onmouseout">
      <xsl:text>this.style.backgroundColor='#FFFFFF'</xsl:text>
     </xsl:attribute>
    </xsl:otherwise>
   </xsl:choose>


   <!--Build list item-->

   <td class="sncontent_list_imgcel">
    <a href="{$Src}"><img src="{$Img}" alt="" class="{$ListImgClass}" /></a>
   </td>
   <td>
    <a href="{$Src}" class="linelink"><xsl:value-of select="$Label" /></a>
   </td>
   <xsl:if test="$sectionName = 'sound' and $ShowPlayers = 'true' and $DisablePlayers = 'false'">
    <td class="sncontent_list_playercel">
     <object type="application/x-shockwave-flash" data="/?res=dewplayer.swf&amp;mp3={$Src}" class="sncontent_list_player">
      <param name="movie" value="/?res=dewplayer.swf&amp;mp3={$Src}" />
      <param name="menu" value="false" />
      <param name="wmode" value="transparent" /> 
     </object>
    </td>
   </xsl:if>
   <xsl:if test="$sectionName != 'folder'">
    <td class="sncontent_list_addinfoscel">
     <a href="{$Src}" class="linelink">
      <xsl:choose>
       <xsl:when test="../../@sortby = 'artist' or ../../@sortby = 'album'">
        <xsl:value-of select="length" />
       </xsl:when>
       <xsl:otherwise>
        <xsl:value-of select="$FormattedSize" />
       </xsl:otherwise>
      </xsl:choose>
     </a>
    </td>
   </xsl:if>
  </tr>


 </xsl:template>


 <!--Create icon item-->

 <xsl:template name="createItemIcon">
  <xsl:param name="sectionName" />
  <xsl:param name="Label" />
  <xsl:param name="FullName" />
  <xsl:param name="Src" />
  <xsl:param name="Img" />
  <div class="sncontent_icon_maincontainer">


   <!--Build tooltips events-->

   <xsl:if test="$DisableToolTips = 'false' and name">
    <xsl:attribute name="onmouseover">
     <xsl:choose>
      <xsl:when test="$sectionName = 'folder'">
       <xsl:text>showFolderDetails('</xsl:text>
       <xsl:value-of select="$DisableEffects = 'false'" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate($FullName, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="date" />
       <xsl:text>')</xsl:text>
      </xsl:when>
      <xsl:when test="../../@sortby = 'artist' or ../../@sortby = 'album'">
       <xsl:text>showMFileDetails('</xsl:text>
       <xsl:value-of select="$DisableEffects = 'false'" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate($FullName, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:call-template name="getFormattedSize">
        <xsl:with-param name="size"><xsl:value-of select="size" /></xsl:with-param>
       </xsl:call-template>
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="date" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate(artist, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate(title, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate(album, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="year" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="track" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="length" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="bitrate" />
       <xsl:text>')</xsl:text>
      </xsl:when>
      <xsl:otherwise>
       <xsl:text>showNFileDetails('</xsl:text>
       <xsl:value-of select="$DisableEffects = 'false'" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate($FullName, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:call-template name="getFormattedSize">
        <xsl:with-param name="size"><xsl:value-of select="size" /></xsl:with-param>
       </xsl:call-template>
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="date" />
       <xsl:text>')</xsl:text>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     <xsl:text>hideDetails()</xsl:text>
    </xsl:attribute>
   </xsl:if>


   <!--Build icon-->

   <div class="sncontent_icon_iconcontainer">
    <a href="{$Src}"><img src="{$Img}" alt="" class="sncontent_icon_img" /></a>
   </div>
   <div>
    <a href="{$Src}" class="linelink"><xsl:apply-templates select="$Label" mode="copyAndChangeNS"/></a>
   </div>
  </div>


 </xsl:template>


 <!--Create miniature item-->

 <xsl:template name="createItemMini">
  <xsl:param name="sectionName" />
  <xsl:param name="Label" />
  <xsl:param name="FullName" />
  <xsl:param name="Src" />
  <xsl:param name="Img" />
  <div class="sncontent_mini_maincontainer" style="width: {$MiniMainContainerWidth}px;height: {$MiniMainContainerHeight}px;">


   <!--Build tooltips events-->

   <xsl:if test="$DisableToolTips = 'false' and name">
    <xsl:attribute name="onmouseover">
     <xsl:choose>
      <xsl:when test="$sectionName = 'folder'">
       <xsl:text>showFolderDetails('</xsl:text>
       <xsl:value-of select="$DisableEffects = 'false'" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate($FullName, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="date" />
       <xsl:text>')</xsl:text>
      </xsl:when>
      <xsl:when test="../../@sortby = 'artist' or ../../@sortby = 'album'">
       <xsl:text>showMFileDetails('</xsl:text>
       <xsl:value-of select="$DisableEffects = 'false'" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate($FullName, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:call-template name="getFormattedSize">
        <xsl:with-param name="size"><xsl:value-of select="size" /></xsl:with-param>
       </xsl:call-template>
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="date" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate(artist, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate(title, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate(album, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="year" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="track" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="length" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="bitrate" />
       <xsl:text>')</xsl:text>
      </xsl:when>
      <xsl:otherwise>
       <xsl:text>showNFileDetails('</xsl:text>
       <xsl:value-of select="$DisableEffects = 'false'" />
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="translate($FullName, $apos,'|')" />
       <xsl:text>', '</xsl:text>
       <xsl:call-template name="getFormattedSize">
        <xsl:with-param name="size"><xsl:value-of select="size" /></xsl:with-param>
       </xsl:call-template>
       <xsl:text>', '</xsl:text>
       <xsl:value-of select="date" />
       <xsl:text>')</xsl:text>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     <xsl:text>hideDetails()</xsl:text>
    </xsl:attribute>
   </xsl:if>


   <!--Build minitature-->

   <div class="sncontent_mini_imgcontainer" style="width:{$MiniImgContainerWidth}px;height:{$MiniImgContainerHeight}px;">
    <a href="{$Src}" style="width: {$MiniAContainerWidth}px; height: {$MiniAContainerHeight}px; background-image: url({$Img});" class="sncontent_mini_{$sectionName}link"></a>
   </div>
   <div class="sncontent_mini_textcontainer">
    <a href="{$Src}" class="linelink"><xsl:apply-templates select="$Label" mode="copyAndChangeNS"/></a>
   </div>
  </div>


 </xsl:template>


 <!--Create simple section content-->

 <xsl:template name="createSimpleSecContent">
  <xsl:param name="sectionName" />
   <table cellpadding="0" cellspacing="0" class="sectioncontent">
    <xsl:choose>


     <!--Create list item-->

     <xsl:when test="page/section[@type=$sectionName]/@showby = 'list'">


      <!--Get mouse over color to use-->

      <xsl:variable name="MouseOverColor">
       <xsl:call-template name="getMouseOverColor">
        <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
       </xsl:call-template>
      </xsl:variable>


      <!--Create list item with correct mouse over color-->

      <xsl:if test="$ParentFolderSrc != '' and $sectionName = 'folder'">
       <xsl:call-template name="createItemList">
        <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
        <xsl:with-param name="Label"><xsl:value-of select="page/server/language/sections/pfolder" /></xsl:with-param>
        <xsl:with-param name="Src"><xsl:value-of select="$ParentFolderSrc" /></xsl:with-param>
        <xsl:with-param name="Img">/?res=itemicon_small_parent.png</xsl:with-param>
        <xsl:with-param name="MouseOverColor"><xsl:value-of select="$MouseOverColor" /></xsl:with-param>
        <xsl:with-param name="ListImgClass"><xsl:text>sncontent_list_namesplimg</xsl:text></xsl:with-param>
        </xsl:call-template>
       </xsl:if>
      <xsl:for-each select="page/section[@type=$sectionName]/group/item">
       <xsl:call-template name="createItemList">
        <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
        <xsl:with-param name="Label"><xsl:value-of select="label" /></xsl:with-param>
        <xsl:with-param name="Src"><xsl:value-of select="src" /></xsl:with-param>
        <xsl:with-param name="Img"><xsl:value-of select="img" /></xsl:with-param>
        <xsl:with-param name="MouseOverColor"><xsl:value-of select="$MouseOverColor" /></xsl:with-param>
        <xsl:with-param name="ListImgClass"><xsl:text>sncontent_list_namesplimg</xsl:text></xsl:with-param>
       </xsl:call-template>
      </xsl:for-each>
     </xsl:when>


     <!--Create icon item-->

     <xsl:when test="page/section[@type=$sectionName]/@showby = 'icon'">
      <tr>
       <td class="sncontent_icon_cel">
        <xsl:if test="$ParentFolderSrc != '' and $sectionName = 'folder'">
         <xsl:call-template name="createItemIcon">
          <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
          <xsl:with-param name="Label" select="page/server/language/sections/pfolder/node()" />
          <xsl:with-param name="FullName"><xsl:value-of select="page/server/language/sections/pfolder" /></xsl:with-param>
          <xsl:with-param name="Src"><xsl:value-of select="$ParentFolderSrc" /></xsl:with-param>
          <xsl:with-param name="Img">/?res=itemicon_big_parent.png</xsl:with-param>
         </xsl:call-template>
        </xsl:if>
        <xsl:for-each select="page/section[@type=$sectionName]/group/item">
         <xsl:call-template name="createItemIcon">
          <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
          <xsl:with-param name="Label" select="label/node()" />
          <xsl:with-param name="FullName"><xsl:value-of select="normalize-space(translate(name,'/', ' '))" /></xsl:with-param>
          <xsl:with-param name="Src"><xsl:value-of select="src" /></xsl:with-param>
          <xsl:with-param name="Img"><xsl:value-of select="img" /></xsl:with-param>
         </xsl:call-template>
        </xsl:for-each>
       </td>
      </tr>
     </xsl:when>


     <!--Create miniature item-->

     <xsl:when test="page/section[@type=$sectionName]/@showby = 'mini'">
      <tr>
       <td class="sncontent_mini_cel">
        <xsl:if test="$ParentFolderSrc != '' and $sectionName = 'folder'">
         <xsl:call-template name="createItemMini">
          <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
          <xsl:with-param name="Label" select="page/server/language/sections/pfolder/node()" />
          <xsl:with-param name="FullName"><xsl:value-of select="page/server/language/sections/pfolder" /></xsl:with-param>
          <xsl:with-param name="Src"><xsl:value-of select="$ParentFolderSrc" /></xsl:with-param>
          <xsl:with-param name="Img">/?res=itemicon_big_parent.png</xsl:with-param>
         </xsl:call-template>
        </xsl:if>
        <xsl:for-each select="page/section[@type=$sectionName]/group/item">
         <xsl:call-template name="createItemMini">
          <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
          <xsl:with-param name="Label" select="label/node()" />
          <xsl:with-param name="FullName"><xsl:value-of select="normalize-space(translate(name,'/', ' '))" /></xsl:with-param>
          <xsl:with-param name="Src"><xsl:value-of select="src" /></xsl:with-param>
          <xsl:with-param name="Img">
           <xsl:choose>
            <xsl:when test="$AllowMini = 'true' and $sectionName = 'image'">
             <xsl:text>?miniature=</xsl:text><xsl:value-of select="src" />
            </xsl:when>
            <xsl:otherwise>
             <xsl:value-of select="img" />
            </xsl:otherwise>
           </xsl:choose>
          </xsl:with-param>
         </xsl:call-template>
        </xsl:for-each>
       </td>
      </tr>
     </xsl:when>


   </xsl:choose>
  </table>
 </xsl:template>


 <!--Create group section content-->

 <xsl:template name="createGroupSecContent">
  <xsl:param name="sectionName" />
  <table cellpadding="0" cellspacing="0" class="sectioncontent">


   <!--If parent folder is present : create group for this item-->

   <xsl:if test="$ParentFolderSrc != '' and $sectionName = 'folder'">
    <tr>
     <td>
      <div class="sncontent_group_maincontainer">
       <table cellpadding="0" cellspacing="0">
        <tr>
         <td class="sncontent_group_contentcel">
          <div class="sncontent_group_title_container{$sectionName}">
           <span class="sncontent_group_title"><xsl:value-of select="page/server/language/sections/pfolder" /></span>
          </div>
          <div>
           <table cellpadding="0" cellspacing="0">
            <xsl:choose>


             <!--Create list item-->

             <xsl:when test="page/section[@type=$sectionName]/@showby = 'list'">


             <!--Get mouse over color to use-->

             <xsl:variable name="MouseOverColor">
              <xsl:call-template name="getMouseOverColor">
               <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
              </xsl:call-template>
             </xsl:variable>


              <!--Create list item with correct mouse over color-->

              <xsl:call-template name="createItemList">
               <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
               <xsl:with-param name="Label"><xsl:value-of select="page/server/language/sections/pfolder" /></xsl:with-param>
               <xsl:with-param name="Src"><xsl:value-of select="$ParentFolderSrc" /></xsl:with-param>
               <xsl:with-param name="Img">/?res=itemicon_small_parent.png</xsl:with-param>
               <xsl:with-param name="MouseOverColor"><xsl:value-of select="$MouseOverColor" /></xsl:with-param>
               <xsl:with-param name="ListImgClass"><xsl:text>sncontent_list_namegrpimg</xsl:text></xsl:with-param>
              </xsl:call-template>
             </xsl:when>


             <!--Create icon item-->

             <xsl:when test="page/section[@type=$sectionName]/@showby = 'icon'">
              <tr>
               <td class="sncontent_icon_cel">
                <xsl:call-template name="createItemIcon">
                 <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
                 <xsl:with-param name="Label" select="page/server/language/sections/pfolder/node()" />
                 <xsl:with-param name="FullName"><xsl:value-of select="page/server/language/sections/pfolder" /></xsl:with-param>
                 <xsl:with-param name="Src"><xsl:value-of select="$ParentFolderSrc" /></xsl:with-param>
                 <xsl:with-param name="Img">/?res=itemicon_big_parent.png</xsl:with-param>
                </xsl:call-template>
               </td>
              </tr>
             </xsl:when>


             <!--Create miniature item-->

             <xsl:when test="page/section[@type=$sectionName]/@showby = 'mini'">
              <tr>
               <td class="sncontent_mini_cel">
                <xsl:call-template name="createItemMini">
                 <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
                 <xsl:with-param name="Label" select="page/server/language/sections/pfolder/node()" />
                 <xsl:with-param name="FullName"><xsl:value-of select="page/server/language/sections/pfolder" /></xsl:with-param>
                 <xsl:with-param name="Src"><xsl:value-of select="$ParentFolderSrc" /></xsl:with-param>
                 <xsl:with-param name="Img">/?res=itemicon_big_parent.png</xsl:with-param>
                </xsl:call-template>
               </td>
              </tr>
             </xsl:when>


            </xsl:choose>
           </table>
          </div>
         </td>
        </tr>
       </table>
      </div>
     </td>
    </tr>
   </xsl:if>


   <!--Create groups and items-->

   <xsl:for-each select="page/section[@type=$sectionName]/group">
    <tr>
     <td>
      <div class="sncontent_group_maincontainer">
       <table cellpadding="0" cellspacing="0">
        <tr>
         <xsl:if test="../@sortby = 'artist' or ../@sortby = 'album'">
          <td class="sncontent_group_infoscel">
           <a href="{@playlist}"><img src="{@img}" alt="" class="sncontent_group_detailsimg" /></a>
           <xsl:if test="@playlist != ''">
            <img src="/?res=groupdetails_arrow.png" alt="" class="sncontent_group_detailsarrow" />
            <a href="{@playlist}"><span class="sncontent_group_detailslinks"><xsl:value-of select="../../server/language/sections/listen_group" /></span></a><br />
           </xsl:if>
           <xsl:if test="@website != '' and ../@sortby = 'artist'">
            <img src="/?res=groupdetails_arrow.png" alt="" class="sncontent_group_detailsarrow" />
            <a href="{@website}"><span class="sncontent_group_detailslinks"><xsl:value-of select="../../server/language/sections/website" /></span></a>
           </xsl:if>
          </td>
         </xsl:if>
         <td class="sncontent_group_contentcel">
          <div class="sncontent_group_title_container{$sectionName}">
           <span class="sncontent_group_title"><xsl:value-of select="@name" /></span>
          </div>
          <div>
           <table cellpadding="0" cellspacing="0">
            <xsl:choose>


             <!--Create list item-->

             <xsl:when test="../@showby = 'list'">


              <!--Get mouse over color to use-->

              <xsl:variable name="MouseOverColor">
               <xsl:call-template name="getMouseOverColor">
                <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
               </xsl:call-template>
              </xsl:variable>


              <!--Create list item with correct mouse over color-->

              <xsl:for-each select="./item">
               <xsl:call-template name="createItemList">
                <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
                <xsl:with-param name="Label">
                 <xsl:choose>
                  <xsl:when test="../../@sortby = 'artist' and title != ''">
                   <xsl:value-of select="title" />
                   <xsl:if test="year != ''">
                    <xsl:text> (</xsl:text>
                    <xsl:value-of select="year" />
                    <xsl:text>)</xsl:text>
                   </xsl:if>
                  </xsl:when>
                  <xsl:when test="../../@sortby = 'album' and title != ''">
                   <xsl:if test="track != ''">
                    <xsl:value-of select="track" />
                    <xsl:text> - </xsl:text>
                   </xsl:if>
                   <xsl:value-of select="title" />
                  </xsl:when>
                  <xsl:otherwise>
                   <xsl:value-of select="label" />
                  </xsl:otherwise>
                 </xsl:choose>
                </xsl:with-param>
                <xsl:with-param name="Src"><xsl:value-of select="src" /></xsl:with-param>
                <xsl:with-param name="Img"><xsl:value-of select="img" /></xsl:with-param>
                <xsl:with-param name="MouseOverColor"><xsl:value-of select="$MouseOverColor" /></xsl:with-param>
                <xsl:with-param name="ListImgClass"><xsl:text>sncontent_list_namegrpimg</xsl:text></xsl:with-param>
               </xsl:call-template>
              </xsl:for-each>
             </xsl:when>


             <!--Create icon item-->

             <xsl:when test="../@showby = 'icon'">
              <tr>
               <td class="sncontent_icon_cel">
                <xsl:for-each select="./item">
                 <xsl:call-template name="createItemIcon">
                  <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
                  <xsl:with-param name="Label" select="label/node()" />
                  <xsl:with-param name="FullName"><xsl:value-of select="normalize-space(translate(name,'/', ' '))" /></xsl:with-param>
                  <xsl:with-param name="Src"><xsl:value-of select="src" /></xsl:with-param>
                  <xsl:with-param name="Img"><xsl:value-of select="img" /></xsl:with-param>
                 </xsl:call-template>
                </xsl:for-each>
               </td>
              </tr>
             </xsl:when>


             <!--Create miniature item-->

             <xsl:when test="../@showby = 'mini'">
              <tr>
               <td class="sncontent_mini_cel">
                <xsl:for-each select="./item">
                 <xsl:call-template name="createItemMini">
                  <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
                  <xsl:with-param name="Label" select="label/node()" />
                  <xsl:with-param name="FullName"><xsl:value-of select="normalize-space(translate(name,'/', ' '))" /></xsl:with-param>
                  <xsl:with-param name="Src"><xsl:value-of select="src" /></xsl:with-param>
                  <xsl:with-param name="Img">
                   <xsl:choose>
                    <xsl:when test="$AllowMini = 'true' and $sectionName = 'image'">
                     <xsl:text>?miniature=</xsl:text><xsl:value-of select="src" />
                    </xsl:when>
                    <xsl:otherwise>
                     <xsl:value-of select="img" />
                    </xsl:otherwise>
                  </xsl:choose>
                  </xsl:with-param>
                 </xsl:call-template>
                </xsl:for-each>
               </td>
              </tr>
             </xsl:when>


            </xsl:choose>
           </table>
          </div>
         </td>
        </tr>
       </table>
      </div>
     </td>
    </tr>
   </xsl:for-each>


  </table>
 </xsl:template>


 <!--Create complete section-->

 <xsl:template name="createCompleteSection">
  <xsl:param name="sectionName" />


  <!--Create section head-->

  <xsl:call-template name="createSectionHead">
   <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
  </xsl:call-template>


  <!--Create section content-->

  <xsl:choose>


   <!--Create group section content-->

   <xsl:when test="page/section[@type=$sectionName]/@showgroup = 'true' or page/section[@type=$sectionName]/@sortby = 'artist' or page/section[@type=$sectionName]/@sortby ='album'">
    <xsl:call-template name="createGroupSecContent">
     <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    </xsl:call-template>
   </xsl:when>


   <!--Create simple section content-->

   <xsl:otherwise>
    <xsl:call-template name="createSimpleSecContent">
     <xsl:with-param name="sectionName"><xsl:value-of select="$sectionName" /></xsl:with-param>
    </xsl:call-template>
   </xsl:otherwise>


  </xsl:choose>


 </xsl:template>


</xsl:stylesheet>